ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | Private Attributes | List of all members
ome::xml::model::enums::FilamentType Class Reference

FilamentType enumeration. More...

`#include <ome/xml/model/enums/FilamentType.h>`

Collaboration diagram for ome::xml::model::enums::FilamentType:
[legend]

## Public Types
enum | enum_value { INCANDESCENT, HALOGEN, OTHER }
| Enumeration values. More...
typedef std::map< std::string, FilamentType::enum_value > | string_map_type
| String map type.
typedef std::map< FilamentType::enum_value, std::string > | value_map_type
| Value map type.

## Public Member Functions
| FilamentType (enum_value value)
| Construct a FilamentType enumeration by an enumeration value. More...
| FilamentType (const std::string &name, bool strict=true)
| Construct a FilamentType enumeration by an enumeration name. More...
| FilamentType (const FilamentType &original)
| Copy constructor. More...
FilamentType & | operator= (const FilamentType &rhs)
| Assignment operator.
| operator enum_value () const
| Cast the enumeration to its value. More...
| operator const std::string & () const
| Cast the enumeration to its name. More...

## Static Public Member Functions
static const string_map_type & | strings ()
| Get a map of valid string names and enum values. More...
static const value_map_type & | values ()
| Get a map of valid enum values and string names. More...

## Static Private Member Functions
static const string_map_type & | lowercase_strings ()
| Get a map of valid lowercased string names and enum values. More...

## Private Attributes
enum_value | value
| Enumeration value.
const std::string * | name
| Enumeration name.

## Detailed Description

FilamentType enumeration.

## Member Enumeration Documentation

enum ome::xml::model::enums::FilamentType::enum_value

Enumeration values.

Enumerator
INCANDESCENT | Incandescent.
HALOGEN | Halogen.
OTHER | Other.

## Constructor & Destructor Documentation

ome::xml::model::enums::FilamentType::FilamentType | ( | enum_value | value | ) |

Construct a FilamentType enumeration by an enumeration value.

Parameters

  value | the value of the enumeration.

References name, and values().

Referenced by FilamentType().

Here is the caller graph for this function:

ome::xml::model::enums::FilamentType::FilamentType | ( | const std::string & | name,
|  | bool | strict = `true`
| ) |  |

Construct a FilamentType enumeration by an enumeration name.

Exact matching of the name will require the name to match one of the valid enumeration names. Inexact matching will strip leading and trailing whitespace and perform a case-insensitive match. Exact matching is recommended for use in program code which does not process user input; inexact matching is recommended when processing potentially malformed user input.

Parameters

  name | the name of the enumeration.
  strict | true to require an exact name, false to allow an inexact match.

References ome::common::createLogger(), FilamentType(), lowercase_strings(), name, strings(), trim(), value, and values().

ome::xml::model::enums::FilamentType::FilamentType | ( | const FilamentType & | original | ) |

Copy constructor.

Parameters

  original | the instance to copy.

## Member Function Documentation

const FilamentType::string_map_type & ome::xml::model::enums::FilamentType::lowercase_strings | ( |  | ) |
| static private

Get a map of valid lowercased string names and enum values.

Returns
  a map of lowercased string names to enum values.

References HALOGEN, INCANDESCENT, and OTHER.

Referenced by FilamentType().

Here is the caller graph for this function:

ome::xml::model::enums::FilamentType::operator const std::string & | ( |  | ) | const
| inline

Cast the enumeration to its name.

Returns
  the enumeration value.

References name.

ome::xml::model::enums::FilamentType::operator enum_value | ( |  | ) | const
| inline

Cast the enumeration to its value.

Returns
  the enumeration value.

References value.

const FilamentType::string_map_type & ome::xml::model::enums::FilamentType::strings | ( |  | ) |
| static

Get a map of valid string names and enum values.

Returns
  a map of string names to enum values.

References HALOGEN, INCANDESCENT, and OTHER.

Referenced by FilamentType().

Here is the caller graph for this function:

const FilamentType::value_map_type & ome::xml::model::enums::FilamentType::values | ( |  | ) |
| static

Get a map of valid enum values and string names.

Returns
  a map of enum values to string names.

References HALOGEN, INCANDESCENT, and OTHER.

Referenced by FilamentType().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- ome/xml/model/enums/FilamentType.h
- ome/xml/model/enums/FilamentType.cpp